My Excel installation is outdated, what does this mean?

NumXL installer checks for the existing excel installation and compares it against NumXL minimum requirement for compatibility issues. This is done to ensure a seamless operation of our add-ins within Microsoft Excel.

Currently, older Excel 2007 pauses a compatibility issue with NumXL and , it is mandated to apply latest service pack (i.e. service pack 3).

Where can you download Excel 2007 SP3?

From Microsoft Office website. Just follow the link below.
The 2007 Microsoft Office Suite Service Pack 3 (SP3)

Have more questions? Submit a request

0 Comments